package org.xbib.io.webdav.api;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

public interface XMLizable {

    /**
     * Returns the xml representation of the implementing object as
     * {@link Element}. The given <code>Document</code> is used
     * as factory and represents the {@link Element#getOwnerDocument()
     * owner document} of the returned DOM element.
     *
     * @param document to be used as factory.
     * @return a w3c element representing this object
     */
    Element toXml(Document document);

}