package org.xbib.io.webdav.common;

import java.util.Iterator;
import java.util.NoSuchElementException;

/**
 * The <code>DavPropertyIterator</code> extends the <code>Iterator</code> by
 * a property specific <code>next()</code> method.
 */
public interface DavPropertyIterator extends Iterator<DavProperty<?>> {
    /**
     * Returns the next <code>Property</code>.
     *
     * @return the next <code>Property</code> in the iteration.
     * @throws NoSuchElementException if iteration has no more elements.
     */
    DavProperty<?> nextProperty() throws NoSuchElementException;
}
